# reports

abstract fun reports(@DelegatesTo(type = "T", strategy = Closure.DELEGATE_FIRST) closure: Closure): T

Allow configuration of the report container by closure.

    reports {
      html {
        required false
      }
      xml.outputLocation = "build/reports/myReport.xml"
    }

Content copied to clipboard

#### Return

The report container

#### Parameters

closure

The configuration

abstract fun reports(configureAction: Action<in T>): T

Allow configuration of the report container by closure.

    reports {
      html {
        required false
      }
      xml.outputLocation = "build/reports/myReport.xml"
    }

Content copied to clipboard

#### Return

The report container

#### Parameters

configureAction

The configuration